### Method

# Ide Diagnostics get_diagnostics_at_line

#### Declaration

    GPtrArray*
    ide_diagnostics_get_diagnostics_at_line (
      IdeDiagnostics* self,
      GFile* file,
      guint line
    )

#### Description

Locates all `IdeDiagnostic` in `file` at `line`.

Available since: | 3.38

#### Parameters

`file` | `GFile`
| The target file.
| The data is owned by the caller of the function.
`line` | `guint`
| A line number.

#### Return value

Returns: | An array of `IdeDiagnostic*`
| An `GPtrArray` or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.